Subject: [mobile-ip] problem about Mobile IP

From: "pieracarlo venditti" <[email-masked]>
Date: Fri, 23 Apr 2021 22:56:22 +0200

Hi, 
I'm an italian student, I read RFC2002 but my doubt is : what happens if a mobile node, which detects that it has just moved into a new Visited Network (by means of LCS or ECS ),recives two or more advertisemsnt in a very small time-interval (I mean before the registration), because it moved in a overlapping coverage areas of many BS? I thought that two possibility are available:
1) It keeps on sending registration request until it registers with a new Foreign Agent, that is until the first confirmation is recived (not necessarily the one relevant to the first advertisement sent).In this case:What happens to the following confirmations that will soon arrive ?Will they be ignored or will they be considered (than the node will switch to new foreign agents and finally register with the "last" one)?
2)it sends the first registration request and starts waiting the relevant confirmation without sending any other registration request.
Thanks in advance
Carlo